Skip to main content

User Preference

View as Markdown

User Preference represents a user-specific setting scoped to an individual user within an account. Unlike workspace or account settings that apply to all users, user preferences allow personal customization (e.g., UI theme, editor preferences) without affecting other users.

UserPreference object​

User Preference represents a user-specific setting scoped to an individual user within an account. Unlike workspace or account settings that apply to all users, user preferences allow personal customization (e.g., UI theme, editor preferences) without affecting other users.

namestringBeta

Name of the setting.

user_idstringBeta

User ID of the user.

boolean_valobjectBeta
Show child attributesHide child attributes
valueboolean
string_valobjectBeta
Show child attributesHide child attributes
valuestring

Represents a generic string value.

effective_boolean_valobjectBetaOutput only
Show child attributesHide child attributes
valueboolean
effective_string_valobjectBetaOutput only
Show child attributesHide child attributes
valuestring

Represents a generic string value.

Get a user preference Beta​

GET /api/2.1/accounts/{account_id}/users/{user_id}/settings/{name}

Get a user preference for a specific user. User preferences are personal settings that allow individual customization without affecting other users. See settingsv2/listaccountuserpreferencesmetadata for list of user preferences available via public APIs.

API scopes: settings

Parameters​

account_idstringuuidRequiredpath

<Databricks> account ID of the account being managed.

user_idstringRequiredpath

User ID of the user whose setting is being retrieved.

namestringRequiredpath

User Setting name.

Response​

Returns the UserPreference object.

Update a user preference Beta​

PATCH /api/2.1/accounts/{account_id}/users/{user_id}/settings/{name}

Update a user preference for a specific user. User preferences are personal settings that allow individual customization without affecting other users. See settingsv2/listaccountuserpreferencesmetadata for list of user preferences available via public APIs.

Note: Page refresh is required for changes to take effect in UI.

API scopes: settings

Parameters​

account_idstringuuidRequiredpath

<Databricks> account ID of the account being managed.

user_idstringRequiredpath

User ID of the user whose setting is being updated.

namestringRequiredpath

Request body​

namestring

Name of the setting.

user_idstring

User ID of the user.

boolean_valobject
Show child attributesHide child attributes
valueboolean
string_valobject
Show child attributesHide child attributes
valuestring

Represents a generic string value.

Response​

Returns the UserPreference object.